API reference
Audit investigation
2 management API operations for Audit investigation.
GET/v1/audit/search
Search
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
institution_id | query | string | null | No | |
actor | query | string | null | No | |
operation | query | string | null | No | |
outcome | query | string | null | No | |
target | query | string | null | No | |
since | query | string | null | No | |
until | query | string | null | No | |
cursor | query | string | null | No | |
limit | query | integer | No | Validation: minimum 1; maximum 1000 |
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonAuditSearch
| Field | Type | Required | Description |
|---|---|---|---|
items | AuditRead[] | Yes | |
next_cursor | string | null | Yes | |
limit | integer | Yes |
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
GET/v1/audit/export
Export
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
institution_id | query | string | null | No | |
actor | query | string | null | No | |
operation | query | string | null | No | |
outcome | query | string | null | No | |
target | query | string | null | No | |
since | query | string | null | No | |
until | query | string | null | No | |
cursor | query | string | null | No | |
limit | query | integer | No | Validation: minimum 1; maximum 1000 |
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |